# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class Namespaces

    java.lang.Object
      com.google.gdata.data.webmastertools.Namespaces

    public final class Namespaces

extends java.lang.Object

Webmaster Tools XML namespace definitions. Defines constants that are used by Webmaster Tools GData classes that do actual XML formatting.

Field Summary
`static java.lang.String` `KIND_MESSAGE` Category term linked to `MessageEntry`.
`static java.lang.String` `KIND_MESSAGES_FEED` Category term linked to `MessagesFeed`.
`static java.lang.String` `KIND_SITE_INFO` Category term linked to `SitesEntry`.
`static java.lang.String` `KIND_SITEMAP_MOBILE` Category term linked to `SitemapsEntry`.
`static java.lang.String` `KIND_SITEMAP_NEWS` Category term linked to `SitemapsEntry`.
`static java.lang.String` `KIND_SITEMAP_REGULAR` Category term linked to `SitemapsEntry`.
`static java.lang.String` `KIND_SITEMAPS_FEED` Category term linked to `SitemapsFeed`.
`static java.lang.String` `KIND_SITES_FEED` Category term linked to `SitesFeed`.
`static java.lang.String` `WT` Namespace URI for Webmaster Tools GData extensions
`static java.lang.String` `WT_ALIAS` Namespace prefix for Webmaster Tools GData extensions
`static com.google.gdata.util.common.xml.XmlNamespace` `WT_NAMESPACE` Webmaster tools GData namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `WT_NS` Same as above, for compatibility with automatically generated feeds.
`static java.lang.String` `WT_PREFIX` Prefix for Webmaster Tools GData extensions

Constructor Summary
`Namespaces()`

Method Summary
`static Category` `createCategory(java.lang.String kindTerm)` Helper method to create `Category` objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WT

    public static final java.lang.String WT

  Namespace URI for Webmaster Tools GData extensions

  See Also:
    Constant Field Values

### WT_ALIAS

    public static final java.lang.String WT_ALIAS

  Namespace prefix for Webmaster Tools GData extensions

  See Also:
    Constant Field Values

### WT_PREFIX

    public static final java.lang.String WT_PREFIX

  Prefix for Webmaster Tools GData extensions

  See Also:
    Constant Field Values

### WT_NAMESPACE

    public static final com.google.gdata.util.common.xml.XmlNamespace WT_NAMESPACE

  Webmaster tools GData namespace.

### WT_NS

    public static final com.google.gdata.util.common.xml.XmlNamespace WT_NS

  Same as above, for compatibility with automatically generated feeds.

### KIND_SITE_INFO

    public static final java.lang.String KIND_SITE_INFO

  Category term linked to `SitesEntry`.

  See Also:
    Constant Field Values

### KIND_SITES_FEED

    public static final java.lang.String KIND_SITES_FEED

  Category term linked to `SitesFeed`.

  See Also:
    Constant Field Values

### KIND_SITEMAPS_FEED

    public static final java.lang.String KIND_SITEMAPS_FEED

  Category term linked to `SitemapsFeed`.

  See Also:
    Constant Field Values

### KIND_SITEMAP_REGULAR

    public static final java.lang.String KIND_SITEMAP_REGULAR

  Category term linked to `SitemapsEntry`. Represents regular sitemap.

  See Also:
    Constant Field Values

### KIND_SITEMAP_MOBILE

    public static final java.lang.String KIND_SITEMAP_MOBILE

  Category term linked to `SitemapsEntry`. Represents mobile sitemap.

  See Also:
    Constant Field Values

### KIND_SITEMAP_NEWS

    public static final java.lang.String KIND_SITEMAP_NEWS

  Category term linked to `SitemapsEntry`. Represents news sitemap.

  See Also:
    Constant Field Values

### KIND_MESSAGE

    public static final java.lang.String KIND_MESSAGE

  Category term linked to `MessageEntry`.

  See Also:
    Constant Field Values

### KIND_MESSAGES_FEED

    public static final java.lang.String KIND_MESSAGES_FEED

  Category term linked to `MessagesFeed`.

  See Also:
    Constant Field Values

Constructor Detail

### Namespaces

    public Namespaces()

Method Detail

### createCategory

    public static Category createCategory(java.lang.String kindTerm)

  Helper method to create `Category` objects.

  Parameters:
    `kindTerm` - category term to use.
  Returns:
    newly created `Category` object.